<template>
    <div class='p-6 text-olive flex items-center h-screen bg-white'>
        <div class='space-y-20 flex flex-col items-center justify-center w-full'>
            <!-- <img :src="'images/logo-inverted.png'" class='mt-4 sm:w-124' /> -->
            <img :src="'images/logo.png'" class='mt-4 sm:w-124' />
            <div class='relative w-full flex items-center justify-around'>
                <transition name="fade" mode="in-out">
                    <div class='absolute text-center space-y-2' v-if='! loading'>
                    <button @click='start' class='px-20 py-4 rounded-full bg-xmas-olive tracking-wider text-white font'>Започни</button>
                    <p class='text-xs'><router-link to="/login">или влез</router-link></p>
                    </div>
                </transition>
                <pulse-loader :loading="loading" color="#6a7045" class='absolute'></pulse-loader>
            </div>
        </div>
    </div>
</template>
<script>
import PulseLoader from 'vue-spinner/src/PulseLoader.vue'

export default {
    data() {
        return {
            loading: false,
        }
    },
    methods: {
        async start() {
            this.loading = true
            setTimeout(() => {  this.$router.push('register') }, 500);
        }
    },
    components: {
        PulseLoader
    }
}
</script>
